package org.nl.acs.device_driver.tianneng.tubanxian;

import org.nl.acs.device.device_driver.standard_inspect.ItemDto;
import org.nl.acs.device.domain.Device;
import org.nl.acs.device.enums.DeviceType;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.defination.OpcDeviceDriverDefination;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * 涂板线驱动定义
 * 说明：该站点为涂板线
 */
@Service
public class TubanxianSiteDefination implements OpcDeviceDriverDefination {
    @Override
    public String getDriverCode() {
        return "tubanxian_site";
    }

    @Override
    public String getDriverName() {
        return "涂板线";
    }

    @Override
    public String getDriverDescription() {
        return "涂板线";
    }

    @Override
    public DeviceDriver getDriverInstance(Device device) {
        return (new TubanxianSiteDeviceDriver()).setDevice(device).setDriverDefination(this);

    }

    @Override
    public Class<? extends DeviceDriver> getDeviceDriverType() {
        return TubanxianSiteDeviceDriver.class;
    }

    @Override
    public List<DeviceType> getFitDeviceTypes() {
        List<DeviceType> types = new LinkedList();
        types.add(DeviceType.conveyor);
        return types;
    }

    @Override
    public List<ItemDto> getReadableItemDtos() {
        return ItemProtocol.getReadableItemDtos();
    }

    @Override
    public List<ItemDto> getWriteableItemDtos() {
        return ItemProtocol.getWriteableItemDtos();
    }

}
